# RepeatingTransactions Object

> Source: https://truto.one/docs/api-reference/unified-accounting-api/repeatingtransactions/

Schema for the `RepeatingTransactions` resource in **Unified Accounting API**.

## Properties

- **`id`** _(string, required)_
  The unique identifier for repeating transaction
- **`name`** _(string)_
  The name of the repeating transaction
- **`entity`** _(object)_
  The entity of the repeating transaction. The schema will be based on the type of entity, but `id` and `type` will always be present.
  - **`id`** _(string, required)_
    The unique identifier for the entity
  - **`type`** _(string, required)_
    The type of the entity
    Allowed: `invoice`, `purchase_order`, `vendor_credit`, `credit_note`, `journal_entry`
- **`status`** _(boolean)_
  The status of the repeating transaction
  Allowed: `active`, `archived`
- **`recurring_type`** _(string)_
  The recurring type of the repeating transaction
  Allowed: `unscheduled`, `automated`, `reminded`
- **`interval_type`** _(string)_
  The interval type of the repeating transaction
  Allowed: `daily`, `weekly`, `monthly`, `yearly`
- **`interval_num`** _(number)_
  The interval number of the repeating transaction. E.g., 1 (every 1 week), 2 (every 2 months), etc.
- **`day_of_month`** _(number)_
  The day of the month of the repeating transaction
- **`month_of_year`** _(number)_
  The month of the year of the repeating transaction
- **`day_of_week`** _(number)_
  The day of the week of the repeating transaction
- **`week_of_month`** _(number)_
  The week of the month of the repeating transaction
- **`days_before`** _(number)_
  The days before of the repeating transaction
- **`start_date`** _(string)_
  The start date for the repeating transaction
- **`end_date`** _(string)_
  The end date for the repeating transaction
- **`max_occurrences`** _(number)_
  The maximum number of occurrences for the repeating transaction
- **`next_date`** _(string)_
  The next date of the repeating transaction
- **`prev_date`** _(string)_
  The previous date of the repeating transaction
- **`created_at`** _(string)_
  Rhe date when the repeating transaction was created
- **`updated_at`** _(string)_
  The date when the repeating transaction was updated
- **`remote_data`** _(object)_
  Raw data returned from the remote API call.

## Methods

- [GET /unified/accounting/repeating_transactions](/docs/api-reference/unified-accounting-api/repeatingtransactions/list) — List Repeating transactions
- [POST /unified/accounting/repeating_transactions](/docs/api-reference/unified-accounting-api/repeatingtransactions/create) — Create Repeating transactions
- [GET /unified/accounting/repeating_transactions/{id}](/docs/api-reference/unified-accounting-api/repeatingtransactions/get) — Get Repeating transactions
- [DELETE /unified/accounting/repeating_transactions/{id}](/docs/api-reference/unified-accounting-api/repeatingtransactions/delete) — Delete Repeating transactions
